<template>
  <modal-component :fullModal="false" @click-backdrop="toggleLoginModal(false)">
    <div class="modal-login">
      <button class="login-facebook">
        <font-awesome-icon :icon="['fab', 'facebook-f']" />
        <span>Đăng nhập với Facebook</span>
      </button>
      <button class="login-google">
        <font-awesome-icon :icon="['fab', 'google-plus-g']" />
        <span>Đăng nhập với Google</span>
      </button>
      <button class="login-zalo">
        <img src="../assets/img/zalo.png" alt="zalo" />
        <span>Đăng nhập với Zalo</span>
      </button>
    </div>
  </modal-component>
</template>

<script lang="ts">
import { Component, Vue } from 'vue-property-decorator';
import ModalComponent from './Modal.vue';
import { commonModule } from '../store/common/const';

@Component({
  components: { ModalComponent }
})
export default class ModalLoginComponent extends Vue {
  @commonModule.Action('toggleLoginModal')
  toggleLoginModal!: (isOpen: boolean) => void;
}
</script>

<style lang="scss" scoped>
.modal-login {
  background: url('../assets/img/scratch_area.png') no-repeat center center;
  background-size: 100% 100%;
  padding: 40px;

  button {
    background-color: transparent;
    color: white;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    font-family: 'Montserrat', sans-serif;
    padding: 0;
    margin: 0;
    width: 100%;
    border-radius: 5px;
    border: 1px solid rgba(0, 0, 0, 0.2);
    outline: none;
    font-size: 0.8em;

    &:not(:last-child) {
      margin-bottom: 1.3vh;
    }

    svg,
    img {
      padding: 7px 10px;
      width: 5vh;
      max-width: 20px;
      height: 5vh;
      max-height: 20px;
      object-fit: contain;
      border-right: 1px solid rgba(0, 0, 0, 0.2);
    }

    span {
      flex: 1;
      padding: 0 10px;
      text-align: center;
      font-weight: bold;
    }

    &.login-facebook {
      background-color: #39579a;
    }

    &.login-google {
      background-color: #df4a32;
    }

    &.login-zalo {
      background-color: #008ae2;
    }
  }
}

@include Orientation(Landscape) {
  .modal-login {
    button {
      font-size: 1em;
    }
  }
}
</style>